aboutsummaryrefslogtreecommitdiffstats
path: root/x11/setxkbmap/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'x11/setxkbmap/APKBUILD')
-rw-r--r--x11/setxkbmap/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/setxkbmap/APKBUILD b/x11/setxkbmap/APKBUILD
new file mode 100644
index 0000000000..2b8eb19b69
--- /dev/null
+++ b/x11/setxkbmap/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=setxkbmap
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="set the keyboard using the X Keyboard Extension"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends=
+makedepends="pkgconfig libxkbfile-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=""$pkgdir"" install || return 1
+}
+md5sums="2f902e0a89aaf2b19e06e7f26c6efb3a setxkbmap-1.1.0.tar.bz2"